# Instructors Instructors ## Gets all of the instructors in the system. - [GET /instructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/listinstructors.md): This method will scan all instructors and and return them to the caller. ## Creates a new instructor record that does not already exist. - [POST /instructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/createinstructor.md): This method will auto-generate an ID and create a new instructor. If an ID is specified for the instructor, an error will be thrown. ## Execute Batch Operations - [POST /instructors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a instructor from the system by its ID. - [GET /instructors/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/getinstructorpublic.md): This method will look up a instructor by the specified ID and return it back. ## Returns a list of records with the specified training_provider_id - [GET /instructors/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/listinstructorsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id ## Returns a instructor from the system by its ID. - [DELETE /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/deleteinstructor.md): This method will delete a instructor with the specified ID. ## Returns a instructor from the system by its ID. - [GET /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/getinstructor.md): This method will look up a instructor by the specified ID and return it back. ## Partially updates a instructor with the specified ID. - [PATCH /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/patchinstructor.md): This method will patch an existing instructor with the specified ID, using the HTTP PATCH specification. ## Updates a instructor with the specified ID. - [PUT /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/updateinstructor.md): This method will update an existing instructor with the specified ID.